Loading...
Searching...
No Matches
coap_pki_key_define_t Struct Reference
Application API » DTLS Support

The structure that holds the PKI Definable key type definitions. More...

`#include <coap_dtls.h>`

Collaboration diagram for coap_pki_key_define_t:
[legend]

## Data Fields

coap_const_char_ptr_t | ca
| define: Common CA Certificate
coap_const_char_ptr_t | public_cert
| define: Public Cert
coap_const_char_ptr_t | private_key
| define: Private Key
size_t | ca_len
| define CA Cert length (if needed)
size_t | public_cert_len
| define Public Cert length (if needed)
size_t | private_key_len
| define Private Key length (if needed)
coap_pki_define_t | ca_def
| define: Common CA type definition
coap_pki_define_t | public_cert_def
| define: Public Cert type definition
coap_pki_define_t | private_key_def
| define: Private Key type definition
coap_asn1_privatekey_type_t | private_key_type
| define: ASN1 Private Key Type (if needed)
const char * | user_pin
| define: User pin to access type PKCS11.

## Detailed Description

The structure that holds the PKI Definable key type definitions.

Definition at line 259 of file coap_dtls.h.

## Field Documentation

## ca

coap_const_char_ptr_t coap_pki_key_define_t::ca

define: Common CA Certificate

Definition at line 260 of file coap_dtls.h.

## ca_def

coap_pki_define_t coap_pki_key_define_t::ca_def

define: Common CA type definition

Definition at line 266 of file coap_dtls.h.

## ca_len

size_t coap_pki_key_define_t::ca_len

define CA Cert length (if needed)

Definition at line 263 of file coap_dtls.h.

## private_key

coap_const_char_ptr_t coap_pki_key_define_t::private_key

define: Private Key

Definition at line 262 of file coap_dtls.h.

## private_key_def

coap_pki_define_t coap_pki_key_define_t::private_key_def

define: Private Key type definition

Definition at line 268 of file coap_dtls.h.

## private_key_len

size_t coap_pki_key_define_t::private_key_len

define Private Key length (if needed)

Definition at line 265 of file coap_dtls.h.

## private_key_type

coap_asn1_privatekey_type_t coap_pki_key_define_t::private_key_type

define: ASN1 Private Key Type (if needed)

Definition at line 269 of file coap_dtls.h.

## public_cert

coap_const_char_ptr_t coap_pki_key_define_t::public_cert

define: Public Cert

Definition at line 261 of file coap_dtls.h.

## public_cert_def

coap_pki_define_t coap_pki_key_define_t::public_cert_def

define: Public Cert type definition

Definition at line 267 of file coap_dtls.h.

## public_cert_len

size_t coap_pki_key_define_t::public_cert_len

define Public Cert length (if needed)

Definition at line 264 of file coap_dtls.h.

## user_pin

const char* coap_pki_key_define_t::user_pin

define: User pin to access type PKCS11.

If PKCS11 and NULL, then pin-value= parameter must be set in pkcs11: URI as a query.

Definition at line 271 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h